import * as _ from "lodash";
import { Phrase } from "src/core/language/Phrase";

export class Helper {
	public static phraseToString(phrase: Phrase): string {
		if (typeof phrase === "string") return phrase;
		if (_.isArray(phrase)) return phrase.map(this.phraseToString).join("");

		return phrase.text;
	}
}
