import * as React from "react";
import { ActionProviderProps, createActionProvider } from "src/core/actionproviders/createActionProvider";
import { CourseActions } from "src/core/store/course";

export const {
	ActionProvider: CreateCourse,
	ActionContextProvider: CreateCourseContextProvider,
	ActionContextConsumer: CreateCourseContextConsumer
} = createActionProvider<CourseActions.CreateCourse, ActionProviderProps<CourseActions.CreateCourse>>({
	onUnmount: () => {
		/**/
	},
	createAction: (component, rootStore) => new CourseActions.CreateCourse(rootStore.courseStore),
	onPropsChange: () => {
		/**/
	}
});
