import * as React from "react";
import { ActionProviderProps, createActionProvider } from "src/core/actionproviders/createActionProvider";
import { FAQActions } from "src/core/store/faq";

export const {
	ActionProvider: CreateFAQ,
	ActionContextProvider: CreateFAQContextProvider,
	ActionContextConsumer: CreateFAQContextConsumer
} = createActionProvider<FAQActions.CreateFAQ, ActionProviderProps<FAQActions.CreateFAQ>>({
	onUnmount: () => {
		/**/
	},
	createAction: (component, rootStore) => new FAQActions.CreateFAQ(rootStore.faqStore),
	onPropsChange: () => {
		/**/
	}
});
