import * as React from "react";
import { ActionProviderProps, createActionProvider } from "src/core/actionproviders/createActionProvider";
import { UserActions } from "src/core/store/user";

export type SignInProps = ActionProviderProps<UserActions.SignIn>;

export const {
	ActionProvider: SignIn,
	ActionContextProvider: SignInContextProvider,
	ActionContextConsumer: SignInContextConsumer
} = createActionProvider<UserActions.SignIn, SignInProps>({
	onUnmount: () => {
		/**/
	},
	createAction: (component, rootStore) => new UserActions.SignIn(rootStore.userStore),
	onPropsChange: () => {
		/**/
	}
});
