export type PhraseNode<T = undefined> = {
	text: string;
	bold?: boolean;
	italic?: boolean;
	underline?: boolean;
	key: T;
};

export type Phrase<T = undefined> = string | PhraseNode<T> | Array<PhraseNode<T>>;
